
M1 = [0; 1.74E+01; 1.43E+02; 2.64E+00; 6.51E+01; 0.00E+00; 3.73E+02; 0.00E+00; 0.00E+00; 2.40E+00; 8.84E+02; 8.00E-02; 1.06E+00; 2.78E+01; 1.54E+00; 2.55E+00; 7.97E+02; 0.00E+00];
M2 = [0.00E+00; 1.71E+01; 5.90E+01; 2.50E+00; 5.66E+01; 2.60E+00; 3.41E+02; 0.00E+00; 6.56E+01; 1.00E+00; 5.50E+02; 9.40E-02; 4.25E-01; 6.36E+01; 0.00E+00; 2.26E+00; 2.68E+03; 0];
M3 = [0.00E+00; 3.98E+00; 2.90E+01; 2.42E+00; 3.90E+01; 2.00E+00; 8.88E+01; 2.40E+00; 1.59E+02; 2.90E+00; 3.65E+02; 5.60E-02; 8.14E-01; 4.29E+01; 0.00E+00; 3.67E+00; 3.02E+03; 0];
M4 = [1.09E-02; 1.04E+02; 1.42E+02; 2.22E+01; 3.19E+02; 1.74E+01; 8.14E+02; 0.00E+00; 0.00E+00; 2.90E+00; 1.74E+03; 1.87E+00; 1.31E+01; 8.93E+01; 1.80E+01; 4.47E+00; 0.00E+00; 2.46E+04];

PNEC_M1 = [0.057; 114.7; 2.9E+03; 1.06; 6.3; 1650; 3.4E+01; 1.19E+04; 37; 4.1; 14.4; 0.19; 6.5; 20; 2.4; 5.6; 28; 170]; %ug/L
PNEC_M2 = [0.057; 114.7; 2.9E+03; 1.06; 6.3; 1650; 3.4E+01; 1.19E+04; 37; 4.1; 14.4; 0.19; 6.5; 20; 2.4; 5.6; 28; 170]; %ug/L
PNEC_M3 = [0.057; 114.7; 2.9E+03; 1.06; 6.3; 1650; 3.4E+01; 1.19E+04; 37; 4.1; 14.4; 0.19; 6.5; 20; 2.4; 5.6; 28; 170];%ug/L
PNEC_M4 = [0.057; 114.7; 2.9E+03; 1.06; 6.3; 1650; 3.4E+01; 1.19E+04; 37; 4.1; 14.4; 0.19; 6.5; 20; 2.4; 5.6; 28; 170]; %ug/L without FA (to be measured)


%Data
mass_leaching = 0.3; %kg
V_leaching = 0.216; %L

mass_M1_tot = 4.128; %kg
mass_M1_winter = 3.096; %kg
mass_M1_summer = 1.032; %kg


mass_M2_tot = 4.128; %kg
mass_M2_winter = 3.096; %kg
mass_M2_summer = 1.032; %kg


mass_M3_tot = 4.272; %kg
mass_M3_winter = 3.204; %kg
mass_M3_summer = 1.068; %kg


mass_M4_tot = 3.312; %kg
mass_M4_winter = 2.484; %kg
mass_M4_summer = 0.828; %kg

V_water_w_ditch = 4.8*1000; %L
V_water_s_ditch = 6*1000; %L

V_water_s_primary = 6*1000; %L
V_water_w_primary = 7.5*1000; %L 

q_leaching = 0.009; %L/h
Q_ditch_summer = 11.52*1000; %L/h
Q_ditch_winter = 14.40*1000; %L/h

Q_primary_summer = 1620*1000; %L/h
Q_primary_winter = 2025*1000; %L/h

F_wd = 57.6;
F_primary = 6480;


%mass released of chemicals over 1 m length of canal bank protections from
%both sides of the canal

M1_winter = 2*M1.*V_leaching.*mass_M1_winter./mass_leaching; %ug
M1_summer = 2*M1.*V_leaching.*mass_M1_summer./mass_leaching; %ug

M2_winter = 2*M2.*V_leaching.*mass_M2_winter./mass_leaching; %ug
M2_summer = 2*M2.*V_leaching.*mass_M2_summer./mass_leaching; %ug

M3_winter = 2*M3.*V_leaching.*mass_M3_winter./mass_leaching; %ug
M3_summer = 2*M3.*V_leaching.*mass_M3_summer./mass_leaching; %ug

M4_winter = 2*M4.*V_leaching.*mass_M4_winter./mass_leaching; %ug
M4_summer = 2*M4.*V_leaching.*mass_M4_summer./mass_leaching; %ug



%Concentrations of chemicals in the canal leached from 1m length of canal
%bank: STAGNANT CASE

C1_summer_stg_wd = M1_summer./V_water_s_ditch; %ug/L
C1_winter_stg_wd = M1_winter./V_water_w_ditch; %ug/L

C1_summer_stg_primary = M1_summer./V_water_s_primary; %ug/L
C1_winter_stg_primary = M1_winter./V_water_w_primary; %ug/L

C2_summer_stg_wd = M2_summer./V_water_s_ditch; %ug/L
C2_winter_stg_wd = M2_winter./V_water_w_ditch; %ug/L

C2_summer_stg_primary = M2_summer./V_water_s_primary; %ug/L
C2_winter_stg_primary = M2_winter./V_water_w_primary; %ug/L


C3_summer_stg_wd = M3_summer./V_water_s_ditch; %ug/L
C3_winter_stg_wd = M3_winter./V_water_w_ditch; %ug/L

C3_summer_stg_primary = M3_summer./V_water_s_primary; %ug/L
C3_winter_stg_primary = M3_winter./V_water_w_primary; %ug/L

C4_summer_stg_wd = M4_summer./V_water_s_ditch; %ug/L
C4_winter_stg_wd = M4_winter./V_water_w_ditch; %ug/L

C4_summer_stg_primary = M4_summer./V_water_s_primary; %ug/L
C4_winter_stg_primary = M4_winter./V_water_w_primary; %ug/L

%Concentrations of chemicals in the canal leached from 1m length of canal
%bank: ADVECTIVE FLOW CASE

C1_summer_adv_wd = M1_summer./(V_water_s_ditch*F_wd); %ug/L
C1_winter_adv_wd = M1_winter./(V_water_w_ditch*F_wd); %ug/L

C1_summer_adv_primary = M1_summer./(V_water_s_primary*F_primary); %ug/L
C1_winter_adv_primary = M1_winter./(V_water_w_primary*F_primary); %ug/L

C2_summer_adv_wd = M2_summer./(V_water_s_ditch*F_wd); %ug/L
C2_winter_adv_wd = M2_winter./(V_water_w_ditch*F_wd); %ug/L

C2_summer_adv_primary = M2_summer./(V_water_s_primary*F_primary); %ug/L
C2_winter_adv_primary = M2_winter./(V_water_w_primary*F_primary); %ug/L


C3_summer_adv_wd = M3_summer./(V_water_s_ditch*F_wd); %ug/L
C3_winter_adv_wd = M3_winter./(V_water_w_ditch*F_wd); %ug/L

C3_summer_adv_primary = M3_summer./(V_water_s_primary*F_primary); %ug/L
C3_winter_adv_primary = M3_winter./(V_water_w_primary*F_primary); %ug/L

C4_summer_adv_wd = M4_summer./(V_water_s_ditch*F_wd); %ug/L
C4_winter_adv_wd = M4_winter./(V_water_w_ditch*F_wd); %ug/L

C4_summer_adv_primary = M4_summer./(V_water_s_primary*F_primary); %ug/L
C4_winter_adv_primary = M4_winter./(V_water_w_primary*F_primary); %ug/L


%ERA stagnant case
ERA_M1_summer_stg_wd = C1_summer_stg_wd./PNEC_M1;
ERA_M1_winter_stg_wd = C1_winter_stg_wd./PNEC_M1;

ERA_M1_summer_stg_primary = C1_summer_stg_primary./PNEC_M1;
ERA_M1_winter_stg_primary = C1_winter_stg_primary./PNEC_M1;

ERA_M2_summer_stg_wd = C2_summer_stg_wd./PNEC_M2;
ERA_M2_winter_stg_wd = C2_winter_stg_wd./PNEC_M2;

ERA_M2_summer_stg_primary = C2_summer_stg_primary./PNEC_M2;
ERA_M2_winter_stg_primary = C2_winter_stg_primary./PNEC_M2;

ERA_M3_summer_stg_wd = C3_summer_stg_wd./PNEC_M3;
ERA_M3_winter_stg_wd = C3_winter_stg_wd./PNEC_M3;

ERA_M3_summer_stg_primary = C3_summer_stg_primary./PNEC_M3;
ERA_M3_winter_stg_primary = C3_winter_stg_primary./PNEC_M3;

ERA_M4_summer_stg_wd = C4_summer_stg_wd./PNEC_M4;
ERA_M4_winter_stg_wd = C4_winter_stg_wd./PNEC_M4;

ERA_M4_summer_stg_primary = C4_summer_stg_primary./PNEC_M4;
ERA_M4_winter_stg_primary = C4_winter_stg_primary./PNEC_M4;

%ERA Advective case
ERA_M1_summer_adv_wd = C1_summer_adv_wd./PNEC_M1;
ERA_M1_winter_adv_wd = C1_winter_adv_wd./PNEC_M1;

ERA_M1_summer_adv_primary = C1_summer_adv_primary./PNEC_M1;
ERA_M1_winter_adv_primary = C1_winter_adv_primary./PNEC_M1;

ERA_M2_summer_adv_wd = C2_summer_adv_wd./PNEC_M2;
ERA_M2_winter_adv_wd = C2_winter_adv_wd./PNEC_M2;

ERA_M2_summer_adv_primary = C2_summer_adv_primary./PNEC_M2;
ERA_M2_winter_adv_primary = C2_winter_adv_primary./PNEC_M2;

ERA_M3_summer_adv_wd = C3_summer_adv_wd./PNEC_M3;
ERA_M3_winter_adv_wd = C3_winter_adv_wd./PNEC_M3;

ERA_M3_summer_adv_primary = C3_summer_adv_primary./PNEC_M3;
ERA_M3_winter_adv_primary = C3_winter_adv_primary./PNEC_M3;

ERA_M4_summer_adv_wd = C4_summer_adv_wd./PNEC_M4;
ERA_M4_winter_adv_wd = C4_winter_adv_wd./PNEC_M4;

ERA_M4_summer_adv_primary = C4_summer_adv_primary./PNEC_M4;
ERA_M4_winter_adv_primary = C4_winter_adv_primary./PNEC_M4;

ERA_winter_stg_wd = [ERA_M1_winter_stg_wd ERA_M2_winter_stg_wd ERA_M3_winter_stg_wd ERA_M4_winter_stg_wd];
ERA_winter_stg_primary = [ERA_M1_winter_stg_primary ERA_M2_winter_stg_primary ERA_M3_winter_stg_primary ERA_M4_winter_stg_primary];

ERA_winter_adv_wd = [ERA_M1_winter_adv_wd ERA_M2_winter_adv_wd ERA_M3_winter_adv_wd ERA_M4_winter_adv_wd];
ERA_winter_adv_primary = [ERA_M1_winter_adv_primary ERA_M2_winter_adv_primary ERA_M3_winter_adv_primary ERA_M4_winter_adv_primary];


%PLOT
figure
subplot(2,2,1)
bar(ERA_winter_stg_wd);
set(gca, 'YScale', 'log')
yline(1,'-','Threshold');
ylim([10E-10 1.01]);
title("(a) Environmental Risk stagnant case (Q=0) - wide ditch");
xlabel("Chemicals");
ylabel("PEC/PNEC");
xticks(1:18);
xticklabels({'Hg','Ba','B','Co','Cu','Li','Mn','Mo','Sn','V','Zn','Cd','Cr','Ni','Pb','As','C8H8','C5H6O2'});
legend ('M1' , 'M2','M3','M4');

subplot(2,2,2)
bar(ERA_winter_stg_primary);
set(gca, 'YScale', 'log')
yline(1,'-','Threshold');
ylim([10E-10 1.01]);
title("(a) Environmental Risk stagnant case (Q=0) - primary watercourse");
xlabel("Chemicals");
ylabel("PEC/PNEC");
xticks(1:18);
xticklabels({'Hg','Ba','B','Co','Cu','Li','Mn','Mo','Sn','V','Zn','Cd','Cr','Ni','Pb','As','C8H8','C5H6O2'});
%legend ('M1','M2','M3','M4');


subplot(2,2,3)
bar(ERA_winter_adv_wd);
set(gca, 'YScale', 'log')
yline(1,'-','Threshold');
ylim([10E-10 1.01]);
title("(a) Environmental Risk advective flow case (Q) - wide ditch");
xlabel("Chemicals");
ylabel("PEC/PNEC");
xticks(1:18);
xticklabels({'Hg','Ba','B','Co','Cu','Li','Mn','Mo','Sn','V','Zn','Cd','Cr','Ni','Pb','As','C8H8','C5H6O2'});
%legend ('M1','M2','M3','M4');


subplot(2,2,4)
bar(ERA_winter_adv_primary);
set(gca, 'YScale', 'log')
yline(1,'-','Threshold');
ylim([10E-10 1.01]);
title("(a) Environmental Risk advective flow case (Q) - primary watercourse");
xlabel("Chemicals");
ylabel("PEC/PNEC");
xticks(1:18);
xticklabels({'Hg','Ba','B','Co','Cu','Li','Mn','Mo','Sn','V','Zn','Cd','Cr','Ni','Pb','As','C8H8','C5H6O2'});

