%Real case scenario: small canal - Diffusion (Q=0)
PNEC_M1 = [0.057; 114.7; 2.9E+03; 1.06; 6.3; 3.4E+01; 4.1; 14.4; 0.19; 6.5; 20; 2.4; 5.6; 28]; %ug/L
PNEC_M2 = [0.057; 114.7; 2.9E+03; 1.06; 6.3; 1650; 3.4E+01; 37; 4.1; 14.4; 0.19; 6.5; 20; 5.6; 28]; %ug/L
PNEC_M3 = [0.057; 114.7; 2.9E+03; 1.06; 6.3; 1650; 3.4E+01; 37; 4.1; 14.4; 0.19; 6.5; 20; 5.6; 28];%ug/L
PNEC_M4 = [0.057; 114.7; 2.9E+03; 1.06; 6.3; 1650; 3.4E+01; 4.1; 14.4; 0.19; 6.5; 20; 2.4; 5.6; 170]; %ug/L without FA (to be measured)

%Input data bio-composites
H_biocomposite = 0.2; %m
H_summer = 0.1; 
H_winter = 0.3;
delta = 0.006;
L=1;
ro_M1=1720;
ro_M2 =1720;
ro_M3=1780;
ro_M4=1380;

%Input leaching 
m_leach = 0.3; %kg
m_sub_sumemr_M1 = H_summer*delta*L*ro_M1;%kg
m_sub_sumemr_M2 = H_summer*delta*L*ro_M2;%kg
m_sub_sumemr_M3 = H_summer*delta*L*ro_M3;%kg
m_sub_sumemr_M4 = H_summer*delta*L*ro_M4;%kg

m_sub_winter_M1 = H_winter*delta*L*ro_M1;%kg
m_sub_winter_M2 = H_winter*delta*L*ro_M2;%kg
m_sub_winter_M3 = H_winter*delta*L*ro_M3;%kg
m_sub_winter_M4 = H_winter*delta*L*ro_M4;%kg

qL = 0.009; %L/h
Ql=qL./1000;%m3/h

%Input data canal
H = 1; %m
b2 = 4;%m
b1 = 8;%m
Atot = (b1+b2)*H/2; %m2
L_control = 1; %m 
Vol = Atot*L_control; %m3
v_input = 0.04; %m/min
v = v_input./60; %m/s
Q_input = 0.2; %m3/min
Q = Q_input./60; %m3/s
Q_lh =  Q*60*60*1000; %L/h

%main watercourse
H_main = 1; %m
b1_main = 10; %m
b2_main = 5; %m
Atot_main = (10+5)*H_main./2; %m2
Vol_main = Atot_main*L_control; %m3
v_main_wcourse = (0.05+0.1)./2; %m/s
q_main = v_main_wcourse*Atot_main; %m3/s
Q_main = q_main*60*60*1000; %L/h

n = 10000;
M1_s0 = [];
M2_s0 = [];
M3_s0 = [];
M4_s0 = [];
for ind = 1:14
  for i = 2:2:2
        
        %M1
        maxVal = max([M1_leaching(ind, i) M1_leaching(ind, i-1)]);
        minVal = min([M1_leaching(ind, i) M1_leaching(ind, i-1)]);

        uniform_dist = (maxVal - minVal) .* rand(n,1) + minVal;
        M1_s0 = [M1_s0; (uniform_dist)'];
  end 
end

for ind = 1:15
  for i = 2:2:2

        %M2
        maxVal = max([M2_leaching(ind, i) M2_leaching(ind, i-1)]);
        minVal = min([M2_leaching(ind, i) M2_leaching(ind, i-1)]);

        uniform_dist = (maxVal - minVal) .* rand(n,1) + minVal;
        M2_s0 = [M2_s0; (uniform_dist)'];

  end 
end 

for ind = 1:15
  for i = 2:2:2

        %M3
        maxVal = max([M3_leaching(ind, i) M3_leaching(ind, i-1)]);
        minVal = min([M3_leaching(ind, i) M3_leaching(ind, i-1)]);

        uniform_dist = (maxVal - minVal) .* rand(n,1) + minVal;
        M3_s0 = [M3_s0; (uniform_dist)'];
  end 
end 

for ind = 1:15
  for i = 2:2:2

        %M4
        maxVal = max([M4_leaching(ind, i) M4_leaching(ind, i-1)]);
        minVal = min([M4_leaching(ind, i) M4_leaching(ind, i-1)]);

        uniform_dist = (maxVal - minVal) .* rand(n,1) + minVal;
        M4_s0 = [M4_s0; (uniform_dist)'];
  end 
end 
%sumemr & conditions - samall canal


C1_M1_s_s0 = 2*M1_s0.'.*(m_sub_sumemr_M1./m_leach);
C1_M2_s_s0 = 2*M2_s0.'.*(m_sub_sumemr_M2./m_leach);
C1_M3_s_s0 = 2*M3_s0.'.*(m_sub_sumemr_M3./m_leach);
C1_M4_s_s0 = 2*M4_s0.'.*(m_sub_sumemr_M4./m_leach);

C1_M1_w_s0 = 2*M1_s0.'.*(m_sub_winter_M1./m_leach);
C1_M2_w_s0 = 2*M2_s0.'.*(m_sub_winter_M2./m_leach);
C1_M3_w_s0 = 2*M3_s0.'.*(m_sub_winter_M3./m_leach);
C1_M4_w_s0 = 2*M4_s0.'.*(m_sub_winter_M4./m_leach);

%winter conditions - main watercourse
%new canal conditions: Baseline --> Q=0: diffusion (concentration gradient)
%as only motion ammissible. 

C2_M1_s_s0 = C1_M1_s_s0.*Ql./Vol.*24; %[ug/L m3/h /m3 per h * 24h]
C2_M2_s_s0 = C1_M2_s_s0.*Ql./Vol.*24; %[ug/L per h * 24h]
C2_M3_s_s0 = C1_M3_s_s0.*Ql./Vol.*24; %[ug/L per h * 24h]
C2_M4_s_s0 = C1_M4_s_s0.*Ql./Vol.*24; %[ug/L per h * 24h]

C2_M1_w_s0 = C1_M1_w_s0.*Ql./Vol.*24; %[ug/L per h * 24h]
C2_M2_w_s0 = C1_M2_w_s0.*Ql./Vol.*24; %[ug/L per h * 24h]
C2_M3_w_s0 = C1_M3_w_s0.*Ql./Vol.*24; %[ug/L per h * 24h]
C2_M4_w_s0 = C1_M4_w_s0.*Ql./Vol.*24; %[ug/L per h * 24h]

%ERA evaluation real case
ERA_M1_s_s0 = C2_M1_s_s0./PNEC_M1.';
ERA_M2_s_s0 = C2_M2_s_s0./PNEC_M2.';
ERA_M3_s_s0 = C2_M3_s_s0./PNEC_M3.';
ERA_M4_s_s0 = C2_M4_s_s0./PNEC_M4.';

ERA_M1_w_s0 = C2_M1_w_s0./PNEC_M1.';
ERA_M2_w_s0 = C2_M2_w_s0./PNEC_M2.';
ERA_M3_w_s0 = C2_M3_w_s0./PNEC_M3.';
ERA_M4_w_s0 = C2_M4_w_s0./PNEC_M4.';


ERA_summer_s0 = [ERA_M1_s_s0 ERA_M2_s_s0 ERA_M3_s_s0 ERA_M4_s_s0];
% figure
% boxplot(ERA_M1_s_s0);
% set(gca, 'YScale', 'log')
% yline(1,'-','Threshold');
% xlabel('Chemicals')
% ylabel('PEC/PNEC')
% title('QERA stagnant case s0 case: M2 wude ditch and low flow conditions')
% xticks([1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18]);
% xticklabels({'Hg','Ba', 'B','Co','Cu','Li','Mn','Mo','Sn','V','Zn','Cd','Cr','Ni','Pb','As','Styrene','FA'});
% xlim([0 19]);

% figure
% oxplot(ERA_M4_s_s0);
% set(gca, 'YScale', 'log')
% yline(1,'-','Threshold');
% xlabel('Chemicals')
% ylabel('PEC/PNEC')
% title('QERA stagnant case s0 case: M4 wude ditch and low flow conditions')
% xticks([1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18]);
% xticklabels({'Hg','Ba', 'B','Co','Cu','Li','Mn','Mo','Sn','V','Zn','Cd','Cr','Ni','Pb','As','Styrene','FA'});
% xlim([0 19]);

ERA_winter_s0 = [ERA_M1_w_s0 ERA_M2_w_s0 ERA_M3_w_s0 ERA_M4_w_s0];
figure
boxplot(ERA_M2_w_s0);
set(gca, 'YScale', 'log')
yline(1,'-','Threshold');
xlabel('Chemicals')
ylabel('PEC/PNEC')
title('QERA stagnant case s0 case: M2 wide ditch & high flow conditions')
xticks(1:18)
xticklabels({'Styrene M1','Styrene M2','Styrene M3','FA M4'})
xticks([1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18]);
xticklabels({'Hg','Ba', 'B','Co','Cu','Li','Mn','Mo','Sn','V','Zn','Cd','Cr','Ni','Pb','As','Styrene','FA'});
xlim([0 19]);

figure 
boxplot(ERA_M4_w_s0);
set(gca, 'YScale', 'log')
yline(1,'-','Threshold');
xlabel('Chemicals')
ylabel('PEC/PNEC')
title('QERA stagnant case s0 case: M4 wide ditch & high flow conditions')
xticks(1:18)
xticklabels({'Styrene M1','Styrene M2','Styrene M3','FA M4'})
xticks([1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18]);
xticklabels({'Hg','Ba', 'B','Co','Cu','Li','Mn','Mo','Sn','V','Zn','Cd','Cr','Ni','Pb','As','Styrene','FA'});
xlim([0 19]);

% % Calculate ERA values for different input parameter variations
% % ...
% 
% % Calculate sensitivity metric (Range-Based Sensitivity)
% sensitivity_metric_M1 = max(ERA_M1_s_s0) - min(ERA_M1_s_s0);
% sensitivity_metric_M2 = max(ERA_M2_s_s0) - min(ERA_M2_s_s0);
% sensitivity_metric_M3 = max(ERA_M3_s_s0) - min(ERA_M3_s_s0);
% sensitivity_metric_M4 = max(ERA_M4_s_s0) - min(ERA_M4_s_s0);
% 
% % Repeat for other input parameters (M2, M3, M4)
% 
% % Create a sensitivity ranking vector
% sensitivity_ranking = [sensitivity_metric_M1, sensitivity_metric_M2, sensitivity_metric_M3, sensitivity_metric_M4];
% 
% % Sort the sensitivity ranking vector in descending order
% [sorted_sensitivity, idx] = sort(sensitivity_ranking, 'descend');
% 
% % Display the sensitivity ranking
% disp('Sensitivity Ranking:');
% for i = 1:length(sorted_sensitivity)
%     disp(['Parameter ', num2str(idx(i)), ': ', num2str(sorted_sensitivity(i))]);
% end
% 
% % Create a bar plot
% bar(sorted_sensitivity)
% xlabel('Input Parameters')
% ylabel('Sensitivity Metric')
% title('Sensitivity Ranking')
% 
% % Add labels to the x-axis
% xticks(1:length(sorted_sensitivity))
% xticklabels({'M1', 'M2', 'M3', 'M4'})
% 
% % Rotate x-axis labels if needed
% xtickangle(45)
% 
% % Adjust the figure size if needed
% set(gcf, 'Position', [100, 100, 800, 500])
% 
% % Combine ERA values into a matrix
% ERA_values = [ERA_M1_s_s0, ERA_M2_s_s0, ERA_M3_s_s0, ERA_M4_s_s0];
% 
% % Create group labels for each element in ERA_values
% groupLabels = cell(size(ERA_values, 2), 1);
% for i = 1:size(ERA_values, 2)
%     groupLabels{i} = sprintf('Group %d', i);
% end
% 
% % Create a figure for the boxplot
% figure;
% 
% % Generate colors for each group
% colors = lines(size(ERA_values, 2));
% 
% % Create the boxplot
% boxplot(ERA_values, 'Labels', groupLabels, 'Colors', colors, 'Whisker', 1.5);
% 
% % Set plot labels and title
% xlabel('Groups');
% ylabel('ERA');
% title('ERA Distribution for Different Groups');
% 
% % Combine ERA values into a table
% ERA_table = table(ERA_M1_s_s0', ERA_M2_s_s0', ERA_M3_s_s0', ERA_M4_s_s0', ...
%     'VariableNames', {'ERA_M1_s_s0', 'ERA_M2_s_s0', 'ERA_M3_s_s0', 'ERA_M4_s_s0'});
% 
% % Create a box chart
% boxchart(ERA_table);
% 
% % Set plot labels and title
% xlabel('Scenario');
% ylabel('ERA');
% title('Sensitivity Analysis Results');
% 
% % BOXCHART
% 
% data = [ERA_M1_s_s0, ERA_M2_s_s0, ERA_M3_s_s0, ERA_M4_s_s0];
% 
% % Create a box plot
% boxchart(data);
% 
% % Set x-axis labels
% %xticklabels({'ERA_M1_s_s0', 'ERA_M2_s_s0', 'ERA_M3_s_s0', 'ERA_M4_s_s0'});
% xticklabels({'Hg','Ba', 'B','Co','Cu','Li','Mn','Mo','Sn','V','Zn','Cd','Cr','Ni','Pb','As','Styrene','FA'});
% 
% % Set plot labels and title
% xlabel('Scenario');
% ylabel('ERA');
% title('Sensitivity Analysis Results');
% 
% % Adjust the figure properties as needed

%main watercourse

%sumemr & conditions - samall canal
C1_M1_s_main_s0 = 2*M1_s0.'.*(m_sub_sumemr_M1./m_leach);
C1_M2_s_main_s0 = 2*M2_s0.'.*(m_sub_sumemr_M2./m_leach);
C1_M3_s_main_s0 = 2*M3_s0.'.*(m_sub_sumemr_M3./m_leach);
C1_M4_s_main_s0 = 2*M4_s0.'.*(m_sub_sumemr_M4./m_leach);

C1_M1_w_main_s0 = 2*M1_s0.'.*(m_sub_winter_M1./m_leach);
C1_M2_w_main_s0 = 2*M2_s0.'.*(m_sub_winter_M2./m_leach);
C1_M3_w_main_s0 = 2*M3_s0.'.*(m_sub_winter_M3./m_leach);
C1_M4_w_main_s0 = 2*M4_s0.'.*(m_sub_winter_M4./m_leach);

%winter conditions - main watercourse
%new canal conditions: Baseline --> Q=0: diffusion (concentration gradient)
%as only motion ammissible. 

C2_M1_s_main_s0 = C1_M1_s_main_s0.*Ql./Vol_main.*24; %[ug/L m3/h /m3 per h * 24h]
C2_M2_s_main_s0 = C1_M2_s_main_s0.*Ql./Vol_main.*24; %[ug/L per h * 24h]
C2_M3_s_main_s0 = C1_M3_s_main_s0.*Ql./Vol_main.*24; %[ug/L per h * 24h]
C2_M4_s_main_s0 = C1_M4_s_main_s0.*Ql./Vol_main.*24; %[ug/L per h * 24h]

C2_M1_w_main_s0 = C1_M1_w_main_s0.*Ql./Vol_main.*24; %[ug/L per h * 24h]
C2_M2_w_main_s0 = C1_M2_w_main_s0.*Ql./Vol_main.*24; %[ug/L per h * 24h]
C2_M3_w_main_s0 = C1_M3_w_main_s0.*Ql./Vol_main.*24; %[ug/L per h * 24h]
C2_M4_w_main_s0 = C1_M4_w_main_s0.*Ql./Vol_main.*24; %[ug/L per h * 24h]

%ERA evaluation real case
ERA_M1_s_main_s0 = C2_M1_s_main_s0./PNEC_M1.';
ERA_M2_s_main_s0 = C2_M2_s_main_s0./PNEC_M2.';
ERA_M3_s_main_s0 = C2_M3_s_main_s0./PNEC_M3.';
ERA_M4_s_main_s0 = C2_M4_s_main_s0./PNEC_M4.';

ERA_M1_w_main_s0 = C2_M1_w_main_s0./PNEC_M1.';
ERA_M2_w_main_s0 = C2_M2_w_main_s0./PNEC_M2.';
ERA_M3_w_main_s0 = C2_M3_w_main_s0./PNEC_M3.';
ERA_M4_w_main_s0 = C2_M4_w_main_s0./PNEC_M4.';

ERA_summer_main_s0 = [ERA_M1_s_main_s0 ERA_M2_s_main_s0 ERA_M3_s_main_s0 ERA_M4_s_main_s0];
% figure
% boxplot(ERA_M2_s_main_s0);
% set(gca, 'YScale', 'log')
% yline(1,'-','Threshold');
% xlabel('Chemicals')
% ylabel('PEC/PNEC')
% title('QERA stagnant case s0 case: M2 primary watercourse & low flow conditions')
% xticks([1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18]);
% xticklabels({'Hg','Ba', 'B','Co','Cu','Li','Mn','Mo','Sn','V','Zn','Cd','Cr','Ni','Pb','As','Styrene','FA'});
% xlim([0 19]);
% 
% figure
% boxplot(ERA_M4_s_main_s0);
% set(gca, 'YScale', 'log')
% yline(1,'-','Threshold');
% xlabel('Chemicals')
% ylabel('PEC/PNEC')
% title('QERA stagnant case s0 case: M4 primary watercourse & low flow conditions')
% xticks([1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18]);
% xticklabels({'Hg','Ba', 'B','Co','Cu','Li','Mn','Mo','Sn','V','Zn','Cd','Cr','Ni','Pb','As','Styrene','FA'});
% xlim([0 19]);

figure
boxplot(ERA_M2_w_main_s0);
set(gca, 'YScale', 'log')
yline(1,'-','Threshold');
xlabel('Chemicals')
ylabel('PEC/PNEC')
title('QERA stagnant case s0 case: M2 primary watercourse & high flow conditions')
xticks([1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18]);
xticklabels({'Hg','Ba', 'B','Co','Cu','Li','Mn','Mo','Sn','V','Zn','Cd','Cr','Ni','Pb','As','Styrene','FA'});
xlim([0 19]);

figure
boxplot(ERA_M4_w_main_s0);
set(gca, 'YScale', 'log')
yline(1,'-','Threshold');
xlabel('Chemicals')
ylabel('PEC/PNEC')
title('QERA stagnant case s0 case: M4 primary watercourse & high flow conditions')
xticks([1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18]);
xticklabels({'Hg','Ba', 'B','Co','Cu','Li','Mn','Mo','Sn','V','Zn','Cd','Cr','Ni','Pb','As','Styrene','FA'});
xlim([0 19]);






