%Real case scenario: small canal - Diffusion (Q=0)
PNEC_M1 = [0.057; 114.7; 2.9E+03; 1.06; 6.3; 3.4E+01; 4.1; 14.4; 0.19; 6.5; 20; 2.4; 5.6; 28]; %ug/L
PNEC_M2 = [0.057; 114.7; 2.9E+03; 1.06; 6.3; 1650; 3.4E+01; 37; 4.1; 14.4; 0.19; 6.5; 20; 5.6; 28]; %ug/L
PNEC_M3 = [0.057; 114.7; 2.9E+03; 1.06; 6.3; 1650; 3.4E+01; 37; 4.1; 14.4; 0.19; 6.5; 20; 5.6; 28];%ug/L
PNEC_M4 = [0.057; 114.7; 2.9E+03; 1.06; 6.3; 1650; 3.4E+01; 4.1; 14.4; 0.19; 6.5; 20; 2.4; 5.6; 170]; %ug/L without FA (to be measured)

%Input data bio-composites
H_biocomposite = 0.2; %m
H_summer = 0.1; 
H_winter = 0.3;
delta = 0.006;
L=1;
ro_M1=1720;
ro_M2 =1720;
ro_M3=1780;
ro_M4=1380;

%Input leaching 
m_leach = 0.3; %kg
m_sub_sumemr_M1 = H_summer*delta*L*ro_M1;%kg
m_sub_sumemr_M2 = H_summer*delta*L*ro_M2;%kg
m_sub_sumemr_M3 = H_summer*delta*L*ro_M3;%kg
m_sub_sumemr_M4 = H_summer*delta*L*ro_M4;%kg

m_sub_winter_M1 = H_winter*delta*L*ro_M1;%kg
m_sub_winter_M2 = H_winter*delta*L*ro_M2;%kg
m_sub_winter_M3 = H_winter*delta*L*ro_M3;%kg
m_sub_winter_M4 = H_winter*delta*L*ro_M4;%kg


%Input data canal
H = 1; %m
b2 = 4;%m
b1 = 8;%m
Atot = (b1+b2)*H/2; %m2
L_control = 1; %m 
Vol = Atot*L_control; %m3
v_input = 0.04; %m/min
v = v_input./60; %m/s
Q_input = 0.2; %m3/min
Q = Q_input./60; %m3/s
Q_lh =  Q*60*60*1000; %L/h
qL = 0.009; %l/h



%main watercourse
H_main = 1; %m
b1_main = 10; %m
b2_main = 5; %m
Atot_main = (10+5)*H_main./2; %m2
Vol_main = Atot_main*L_control; %m3
v_main_wcourse = (0.05+0.1)./2; %m/s
q_main = v_main_wcourse*Atot_main; %m3/s
Q_main = q_main*60*60*1000; %L/h

n = 10000;
M1_real_s0 = [];
M2_real_s0 = [];
M3_real_s0 = [];
M4_real_s0 = [];
for ind = 1:14
    for i = 2:2:2
        %M1
        maxVal = max([M1_leaching(ind, i) M1_leaching(ind, i-1)]);
        minVal = min([M1_leaching(ind, i) M1_leaching(ind, i-1)]);

        uniform_dist = (maxVal - minVal) .* rand(n,1) + minVal;
        M1_real_s0 = [M1_real_s0; (uniform_dist)'];
    end 
end 

for ind = 1:15
    for i = 2:2:2

        %M2
        maxVal = max([M2_leaching(ind, i) M2_leaching(ind, i-1)]);
        minVal = min([M2_leaching(ind, i) M2_leaching(ind, i-1)]);

        uniform_dist = (maxVal - minVal) .* rand(n,1) + minVal;
        M2_real_s0 = [M2_real_s0; (uniform_dist)'];
    end 
end 

for ind = 1:15
    for i= 2:2:2
        %M3
        maxVal = max([M3_leaching(ind, i) M3_leaching(ind, i-1)]);
        minVal = min([M3_leaching(ind, i) M3_leaching(ind, i-1)]);

        uniform_dist = (maxVal - minVal) .* rand(n,1) + minVal;
        M3_real_s0 = [M3_real_s0; (uniform_dist)'];
    end 
end

for ind = 1:15
    for i = 2:2:2

        %M4
        maxVal = max([M4_leaching(ind, i) M4_leaching(ind, i-1)]);
        minVal = min([M4_leaching(ind, i) M4_leaching(ind, i-1)]);

        uniform_dist = (maxVal - minVal) .* rand(n,1) + minVal;
        M4_real_s0 = [M4_real_s0; (uniform_dist)'];
    end
end

C1_M1_real_s_s0 = 2*M1_real_s0.'.*(m_sub_sumemr_M1./m_leach);
C1_M2_real_s_s0 = 2*M2_real_s0.'.*(m_sub_sumemr_M2./m_leach);
C1_M3_real_s_s0 = 2*M3_real_s0.'.*(m_sub_sumemr_M3./m_leach);
C1_M4_real_s_s0 = 2*M4_real_s0.'.*(m_sub_sumemr_M4./m_leach);

C1_M1_real_w_s0 = 2*M1_real_s0.'.*(m_sub_winter_M1./m_leach);
C1_M2_real_w_s0 = 2*M2_real_s0.'.*(m_sub_winter_M2./m_leach);
C1_M3_real_w_s0 = 2*M3_real_s0.'.*(m_sub_winter_M3./m_leach);
C1_M4_real_w_s0 = 2*M4_real_s0.'.*(m_sub_winter_M4./m_leach);




%Calculation - small canal

%new concentration based on new canal conditions:

C2_M1_Q_real_s_s0 = C1_M1_real_s_s0*qL/Q_lh; %[ug/L L/h / L/h]
C2_M2_Q_real_s_s0 = C1_M2_real_s_s0*qL/Q_lh; %[ug/L L/h / L/h]
C2_M3_Q_real_s_s0 = C1_M3_real_s_s0*qL/Q_lh; %[ug/L L/h / L/h]
C2_M4_Q_real_s_s0 = C1_M4_real_w_s0*qL/Q_lh; %[ug/L L/h / L/h]

C2_M1_Q_real_w_s0 = C1_M1_real_w_s0*qL/Q_lh; %[ug/L L/h / L/h]
C2_M2_Q_real_w_s0 = C1_M2_real_w_s0*qL/Q_lh; %[ug/L L/h / L/h]
C2_M3_Q_real_w_s0 = C1_M3_real_w_s0*qL/Q_lh; %[ug/L L/h / L/h]
C2_M4_Q_real_w_s0 = C1_M4_real_s_s0*qL/Q_lh; %[ug/L L/h / L/h]

%ERA evaluation real case
ERA_M1_real_Q_s_s0 = C2_M1_Q_real_s_s0./PNEC_M1.';
ERA_M2_real_Q_s_s0 = C2_M2_Q_real_s_s0./PNEC_M2.';
ERA_M3_real_Q_s_s0 = C2_M3_Q_real_s_s0./PNEC_M3.';
ERA_M4_real_Q_s_s0 = C2_M4_Q_real_s_s0./PNEC_M4.';

ERA_M1_real_Q_w_s0 = C2_M1_Q_real_w_s0./PNEC_M1.';
ERA_M2_real_Q_w_s0 = C2_M2_Q_real_w_s0./PNEC_M2.';
ERA_M3_real_Q_w_s0 = C2_M3_Q_real_w_s0./PNEC_M3.';
ERA_M4_real_Q_w_s0 = C2_M4_Q_real_w_s0./PNEC_M4.';

ERA_realcase_Q_s_s0 = [ERA_M1_real_Q_s_s0 ERA_M2_real_Q_s_s0 ERA_M3_real_Q_s_s0 ERA_M4_real_Q_s_s0];
% boxplot(ERA_M4_real_Q_s_s0);
% set(gca, 'YScale', 'log')
% yline(1,'-','Threshold');
% xlabel('Chemicals')
% ylabel('PEC/PNEC')
% title('QERA advection case stochastic approach s0 case small canal summer conditions M1')
% xticks([1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18]);
% xticklabels({'Hg','Ba', 'B','Co','Cu','Li','Mn','Mo','Sn','V','Zn','Cd','Cr','Ni','Pb','As','Styrene','FA'});
% xlim([0 19]);


ERA_realcase_Q_w_s0 = [ERA_M1_real_Q_w_s0 ERA_M2_real_Q_w_s0 ERA_M3_real_Q_w_s0 ERA_M4_real_Q_w_s0];
figure
boxplot(ERA_M2_real_Q_w_s0);
set(gca, 'YScale', 'log')
yline(1,'-','Threshold');
xlabel('Chemicals')
ylabel('PEC/PNEC')
title('QERA advection case stochastic approach s0 case small canal case winter conditions M2')
xticks([1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18]);
xticklabels({'Hg','Ba', 'B','Co','Cu','Li','Mn','Mo','Sn','V','Zn','Cd','Cr','Ni','Pb','As','Styrene','FA'});
xlim([0 19]);

figure
boxplot(ERA_M4_real_Q_w_s0);
set(gca, 'YScale', 'log')
yline(1,'-','Threshold');
xlabel('Chemicals')
ylabel('PEC/PNEC')
title('QERA advection case stochastic approach s0 case small canal case winter conditions M4')
xticks([1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18]);
xticklabels({'Hg','Ba', 'B','Co','Cu','Li','Mn','Mo','Sn','V','Zn','Cd','Cr','Ni','Pb','As','Styrene','FA'});
xlim([0 19]);



% %new concentration based on new canal conditions:
% main watercourse

C2_M1_Q_r_main_s_s0 = C1_M1_real_s_s0*qL/Q_main; %[ug/L L/h / L/h]
C2_M2_Q_r_main_s_s0 = C1_M2_real_s_s0*qL/Q_main; %[ug/L L/h / L/h]
C2_M3_Q_r_main_s_s0 = C1_M3_real_s_s0*qL/Q_main; %[ug/L L/h / L/h]
C2_M4_Q_r_main_s_s0 = C1_M4_real_s_s0*qL/Q_main; %[ug/L L/h / L/h]

C2_M1_Q_r_main_w_s0 = C1_M1_real_w_s0*qL/Q_main; %[ug/L L/h / L/h]
C2_M2_Q_r_main_w_s0 = C1_M2_real_w_s0*qL/Q_main; %[ug/L L/h / L/h]
C2_M3_Q_r_main_w_s0 = C1_M3_real_w_s0*qL/Q_main; %[ug/L L/h / L/h]
C2_M4_Q_r_main_w_s0 = C1_M4_real_w_s0*qL/Q_main; %[ug/L L/h / L/h]

%ERA evaluation real case
ERA_M1_real_Q_main_s_s0 = C2_M1_Q_r_main_s_s0./PNEC_M1.';
ERA_M2_real_Q_main_s_s0 = C2_M2_Q_r_main_s_s0./PNEC_M2.';
ERA_M3_real_Q_main_s_s0 = C2_M3_Q_r_main_s_s0./PNEC_M3.';
ERA_M4_real_Q_main_s_s0 = C2_M4_Q_r_main_s_s0./PNEC_M4.';

ERA_M1_real_Q_main_w_s0 = C2_M1_Q_r_main_w_s0./PNEC_M1.';
ERA_M2_real_Q_main_w_s0 = C2_M2_Q_r_main_w_s0./PNEC_M2.';
ERA_M3_real_Q_main_w_s0 = C2_M3_Q_r_main_w_s0./PNEC_M3.';
ERA_M4_real_Q_main_w_s0 = C2_M4_Q_r_main_w_s0./PNEC_M4.';

%ERA_realcase_Q_main_s = [ERA_M1_real_Q_main_s(:,1) ERA_M2_real_Q_main_s(:,1) ERA_M3_real_Q_main_s(:,1) ERA_M4_real_Q_main_s(:,1)];
% boxplot(ERA_M1_real_Q_main_s_s0);
% set(gca, 'YScale', 'log')
% %ylim([0 1]);
% yline(1,'-','Threshold');
% title("Environmntal Risk advection motion (Q) - main canal, summer conditions");
% xlabel("Chemicals");
% ylabel("PEC/PNEC");
% xticks([1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18]);
% xticklabels({'Hg','Ba', 'B','Co','Cu','Li','Mn','Mo','Sn','V','Zn','Cd','Cr','Ni','Pb','As','Styrene','FA'});
% xlim([0 19]);
%legend ('M1','M2', 'M3','M4')

%ERA_realcase_Q_main_w = [ERA_M1_real_Q_main_w(:,1) ERA_M2_real_Q_main_w(:,1) ERA_M3_real_Q_main_w(:,1) ERA_M4_real_Q_main_w(:,1)];
figure
boxplot(ERA_M2_real_Q_main_w_s0);
set(gca, 'YScale', 'log')
%ylim([0 1]);
yline(1,'-','Threshold');
title("Environmntal Risk advection motion (Q) - M2 main canal, winter conditions");
xlabel("Chemicals");
ylabel("PEC/PNEC");
xticks([1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18]);
xticklabels({'Hg','Ba', 'B','Co','Cu','Li','Mn','Mo','Sn','V','Zn','Cd','Cr','Ni','Pb','As','Styrene','FA'});
xlim([0 19]);
%legend ('M1','M2', 'M3','M4')

figure
boxplot(ERA_M4_real_Q_main_w_s0);
set(gca, 'YScale', 'log')
%ylim([0 1]);
yline(1,'-','Threshold');
title("Environmntal Risk advection motion (Q) - M4 main canal, winter conditions");
xlabel("Chemicals");
ylabel("PEC/PNEC");
xticks([1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18]);
xticklabels({'Hg','Ba', 'B','Co','Cu','Li','Mn','Mo','Sn','V','Zn','Cd','Cr','Ni','Pb','As','Styrene','FA'});
xlim([0 19]);