%Real case scenario: small canal - Diffusion (Q=0)
PNEC_M1 = [0.057; 114.7; 2.9E+03; 1.06; 6.3; 3.4E+01; 4.1; 14.4; 0.19; 6.5; 20; 2.4; 5.6; 28]; %ug/L
PNEC_M2 = [0.057; 114.7; 2.9E+03; 1.06; 6.3; 1650; 3.4E+01; 37; 4.1; 14.4; 0.19; 6.5; 20; 5.6; 28]; %ug/L
PNEC_M3 = [0.057; 114.7; 2.9E+03; 1.06; 6.3; 1650; 3.4E+01; 37; 4.1; 14.4; 0.19; 6.5; 20; 5.6; 28];%ug/L
PNEC_M4 = [0.057; 114.7; 2.9E+03; 1.06; 6.3; 1650; 3.4E+01; 4.1; 14.4; 0.19; 6.5; 20; 2.4; 5.6; 170]; %ug/L without FA (to be measured)

n=10000;
%Input data bio-composites
H_biocomposite = 0.2; %m
H_summer = 0.1; 
H_winter = 0.3;
delta = 0.006;
L=1;
ro_M1 = 1720;
ro_M2 = 1720;
ro_M3 = 1780;
ro_M4 = 1380;

%Input leaching 
m_leach = 0.3; %kg
m_sub_sumemr_M1 = H_summer*delta*L*ro_M1;%kg
m_sub_sumemr_M2 = H_summer*delta*L*ro_M2;%kg
m_sub_sumemr_M3 = H_summer*delta*L*ro_M3;%kg
m_sub_sumemr_M4 = H_summer*delta*L*ro_M4;%kg

m_sub_winter_M1 = H_winter*delta*L*ro_M1;%kg
m_sub_winter_M2 = H_winter*delta*L*ro_M2;%kg
m_sub_winter_M3 = H_winter*delta*L*ro_M3;%kg
m_sub_winter_M4 = H_winter*delta*L*ro_M4;%kg


%Input data canal
H = 1; %m
b2 = 4;%m
b1 = 8;%m
Atot = (b1+b2)*H/2; %m2
L_control = 1; %m 
Vol = Atot*L_control; %m3
v_input = 0.04; %m/min
v = v_input./60; %m/s
Q_input = 0.2; %m3/min
Q = Q_input./60; %m3/s
Q_lh =Q_input*60*1000; %L/h
qL = 0.009; 


%main watercourse
H_main = 1; %m
b1_main = 10; %m
b2_main = 5; %m
Atot_main = (10+5)*H_main./2; %m2
Vol_main = Atot_main*L_control; %m3
v_main_wcourse = (0.05+0.1)./2; %m/s
q_main = v_main_wcourse*Atot_main; %m3/s
Q_main = q_main*60*60*1000; %L/h


%Calculation

C1_M1_s = 2*M1_data(:,1)* m_sub_sumemr_M1./m_leach;
C1_M2_s = 2*M2_data(:,1)* m_sub_sumemr_M2./m_leach;
C1_M3_s = 2*M3_data(:,1)* m_sub_sumemr_M3./m_leach;
C1_M4_s = 2*M4_data(:,1)* m_sub_sumemr_M4./m_leach;

C1_M1_w = 2*M1_data(:,1)* m_sub_winter_M1./m_leach;
C1_M2_w = 2*M2_data(:,1)* m_sub_winter_M2./m_leach;
C1_M3_w = 2*M3_data(:,1)* m_sub_winter_M3./m_leach;
C1_M4_w = 2*M4_data(:,1)* m_sub_winter_M4./m_leach;


%Calculation - small canal

%new concentration based on new canal conditions:
qL = 0.009; %L/h
Q_input_s1 = [];

  for i = 1:18

        
%wide ditch
    Q_test =[0, 2000, 27000]; %l/h
    % 
    % % Parameters
    mu_Q = mean(Q_test);                 % Mean of the normal distribution
    sd_Q = std(Q_test);         % Standard deviation of the normal distribution
    % 
    % % Generate random numbers from normal distribution
    Q_input_s1 = normrnd(mu_Q, sd_Q, n, 1);
    pd_normal = fitdist(Q_input_s1, 'Normal');

    % Remove negative values and set them to zero
    Q_input_s1(Q_input_s1<2000)=2000;
    % % Display the generated parameter values
    %disp(random_numbers);
  
%primary watercourse

Q_test_main =[0, 2000, 27000]; %l/h
    % 
    % % Parameters
    mu_Qmain = mean(Q_test_main);                 % Mean of the normal distribution
    sd_Qmain = std(Q_test_main);         % Standard deviation of the normal distribution
        % % Generate random numbers from normal distribution
    Q_input_main_s1 = normrnd(mu_Qmain, sd_Qmain, n, 1);
     pd_normal_main = fitdist(Q_input_main_s1, 'Normal');

    % Remove negative values and set them to zero
    Q_input_main_s1(Q_input_main_s1<2000)=2000;
    % % Display the generated parameter values
    %disp(random_numbers);
  end 

 

for i = 1:14


    C2_M1_real_s_s1(:, i) = C1_M1_s(i).*qL./ Q_input_s1;
end

for i = 15
    C2_M2_real_s_s1(:, i) = C1_M2_s(i).*qL./ Q_input_s1;
    C2_M3_real_s_s1(:, i) = C1_M3_s(i).*qL./ Q_input_s1;
    C2_M4_real_s_s1(:, i) = C1_M4_s(i).*qL./ Q_input_s1;
end 

for i = 1:14
    C2_M1_real_w_s1(:, i) = C1_M1_w(i).*qL./ Q_input_s1;
end 

for i = 1:15
    C2_M2_real_w_s1(:, i) = C1_M2_w(i).*qL./ Q_input_s1;
    C2_M3_real_w_s1(:, i) = C1_M3_w(i).*qL./ Q_input_s1;
    C2_M4_real_w_s1(:, i) = C1_M4_w(i).*qL./ Q_input_s1;

end


%ERA evaluation real case
ERA_M1_real_Q_s_s1 = C2_M1_real_s_s1./PNEC_M1.';
ERA_M2_real_Q_s_s1 = C2_M2_real_s_s1./PNEC_M2.';
ERA_M3_real_Q_s_s1 = C2_M3_real_s_s1./PNEC_M3.';
ERA_M4_real_Q_s_s1 = C2_M4_real_s_s1./PNEC_M4.';

ERA_M1_real_Q_w_s1 = C2_M1_real_w_s1./PNEC_M1.';
ERA_M2_real_Q_w_s1 = C2_M2_real_w_s1./PNEC_M2.';
ERA_M3_real_Q_w_s1 = C2_M3_real_w_s1./PNEC_M3.';
ERA_M4_real_Q_w_s1 = C2_M4_real_w_s1./PNEC_M4.';



% 
% lowerWhisker = zeros(1, 18);
% upperWhisker = zeros(1, 18);
% 
% for i = 1:18
%     lowerWhisker(i) = min(ERA_M1_real_Q_s_s1(:, i));
%     upperWhisker(i) = max(ERA_M1_real_Q_s_s1(:, i));
% end

% figure;
% boxplot(ERA_M1_real_Q_s_s1);
% set(gca, 'YScale', 'log');
% yline(1, '-', 'Threshold');
% xlabel('Chemicals');
% ylabel('PEC/PNEC');
% title('QERA advection case, s1 case: M1 small canal & summer conditions');
% xticks(1:18);
% xticklabels({'Hg','Ba', 'B','Co','Cu','Li','Mn','Mo','Sn','V','Zn','Cd','Cr','Ni','Pb','As','Styrene','FA'});
% xlim([0.5 19.5]);


figure;
boxplot(ERA_M2_real_Q_w_s1);
set(gca, 'YScale', 'log');
yline(1, '-', 'Threshold');
xlabel('Chemicals');
ylabel('PEC/PNEC');
title('QERA advection case, s1 case: M2 small canal & winter conditions');
xticks(1:18);
xticklabels({'Hg','Ba', 'B','Co','Cu','Li','Mn','Mo','Sn','V','Zn','Cd','Cr','Ni','Pb','As','Styrene','FA'});
xlim([0.5 19.5]);


figure;
boxplot(ERA_M4_real_Q_w_s1);
set(gca, 'YScale', 'log');
yline(1, '-', 'Threshold');
xlabel('Chemicals');
ylabel('PEC/PNEC');
title('QERA advection case, s1 case: M4 small canal & winter conditions');
xticks(1:18);
xticklabels({'Hg','Ba', 'B','Co','Cu','Li','Mn','Mo','Sn','V','Zn','Cd','Cr','Ni','Pb','As','Styrene','FA'});
xlim([0.5 19.5]);

%Add custom whisker lines
% hold on;
% numGroups = size(ERA_M1_real_Q_s_s1, 2);
% groupWidth = 0.8 / numGroups;
% 
% for i = 1:numGroups
%     x = (1:18) + (i - 1) * groupWidth;
%     line([x; x], [lowerWhisker; upperWhisker], 'Color', 'k', 'LineWidth', 1.5);
% end
% 
% hold off;

%ERA_realcase_Q_s = [ERA_M1_real_Q_s(:,1) ERA_M2_real_Q_s(:,1) ERA_M3_real_Q_s(:,1) ERA_M4_real_Q_s(:,1)];
% boxplot(ERA_M1_real_Q_s_s1);
% set(gca, 'YScale', 'log')
% %ylim([0 1]);
% yline(1,'-','Threshold');
% title("Environmntal Risk advection motion (Q) - small canal, summer conditions");
% xlabel("Chemicals");
% ylabel("PEC/PNEC");
% xticks([1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18]);
% xticklabels({'Hg','Ba', 'B','Co','Cu','Li','Mn','Mo','Sn','V','Zn','Cd','Cr','Ni','Pb','As','Styrene','FA'});
% xlim([0 19]);
% 
% 
% %ERA_realcase_Q_w = [ERA_M1_real_Q_w(:,1) ERA_M2_real_Q_w(:,1) ERA_M3_real_Q_w(:,1) ERA_M4_real_Q_w(:,1)];
% boxplot(ERA_M1_real_Q_w_s1);
% set(gca, 'YScale', 'log')
% %ylim([0 1]);
% yline(1,'-','Threshold');
% title("Environmntal Risk advection motion (Q) - small canal, winter conditions");
% xlabel("Chemicals");
% ylabel("PEC/PNEC");
% xticks([1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18]);
% xticklabels({'Hg','Ba', 'B','Co','Cu','Li','Mn','Mo','Sn','V','Zn','Cd','Cr','Ni','Pb','As','Styrene','FA'});
% xlim([0 19]);

% 
% %new concentration based on new canal conditions: main waterflow

%Calculation - small canal

%new concentration based on new canal conditions:

for i = 1:14     


    C2_M1_real_s_main_s1(:, i) = C1_M1_s(i).*qL./ Q_input_main_s1;
end 

for i = 1:15
    C2_M2_real_s_main_s1(:, i) = C1_M2_s(i).*qL./ Q_input_main_s1;
    C2_M3_real_s_main_s1(:, i) = C1_M3_s(i).*qL./ Q_input_main_s1;
    C2_M4_real_s_main_s1(:, i) = C1_M4_s(i).*qL./ Q_input_main_s1;
end 

for i = 1:14
    C2_M1_real_w_main_s1(:, i) = C1_M1_w(i).*qL./ Q_input_main_s1;
end 

for i = 1:15
    C2_M2_real_w_main_s1(:, i) = C1_M2_w(i).*qL./ Q_input_main_s1;
    C2_M3_real_w_main_s1(:, i) = C1_M3_w(i).*qL./ Q_input_main_s1;
    C2_M4_real_w_main_s1(:, i) = C1_M4_w(i).*qL./ Q_input_main_s1;

end


%ERA evaluation real case
ERA_M1_real_Q_s_main_s1 = C2_M1_real_s_main_s1./PNEC_M1.';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
ERA_M2_real_Q_s_main_s1 = C2_M2_real_s_main_s1./PNEC_M2.';
ERA_M3_real_Q_s_main_s1 = C2_M3_real_s_main_s1./PNEC_M3.';
ERA_M4_real_Q_s_main_s1 = C2_M4_real_s_main_s1./PNEC_M4.';

ERA_M1_real_Q_w_main_s1 = C2_M1_real_w_main_s1./PNEC_M1.';
ERA_M2_real_Q_w_main_s1 = C2_M2_real_w_main_s1./PNEC_M2.';
ERA_M3_real_Q_w_main_s1 = C2_M3_real_w_main_s1./PNEC_M3.';
ERA_M4_real_Q_w_main_s1 = C2_M4_real_w_main_s1./PNEC_M4.';




% lowerWhisker = zeros(1, 18);
% upperWhisker = zeros(1, 18);
% 
% for i = 1:18
%     lowerWhisker(i) = min(ERA_M1_real_Q_s_main_s1(:, i));
%     upperWhisker(i) = max(ERA_M1_real_Q_s_main_s1(:, i));
% end

% figure;
% boxplot(ERA_M1_real_Q_s_main_s1);
% set(gca, 'YScale', 'log');
% yline(1, '-', 'Threshold');
% xlabel('Chemicals');
% ylabel('PEC/PNEC');
% title('QERA advection case, s1 case M1: main watercourse & summer conditions');
% xticks(1:18);
% xticklabels({'Hg','Ba', 'B','Co','Cu','Li','Mn','Mo','Sn','V','Zn','Cd','Cr','Ni','Pb','As','Styrene','FA'});
% xlim([0.5 19.5]);



figure;
boxplot(ERA_M2_real_Q_w_main_s1);
set(gca, 'YScale', 'log');
yline(1, '-', 'Threshold');
xlabel('Chemicals');
ylabel('PEC/PNEC');
title('QERA advection case, s1 case M2: main watercourse & winter conditions');
xticks(1:18);
xticklabels({'Hg','Ba', 'B','Co','Cu','Li','Mn','Mo','Sn','V','Zn','Cd','Cr','Ni','Pb','As','Styrene','FA'});
xlim([0.5 19.5]);


figure;
boxplot(ERA_M4_real_Q_w_main_s1);
set(gca, 'YScale', 'log');
yline(1, '-', 'Threshold');
xlabel('Chemicals');
ylabel('PEC/PNEC');
title('QERA advection case, s1 case M4: main watercourse & winter conditions');
xticks(1:18);
xticklabels({'Hg','Ba', 'B','Co','Cu','Li','Mn','Mo','Sn','V','Zn','Cd','Cr','Ni','Pb','As','Styrene','FA'});
xlim([0.5 19.5]);

% Add custom whisker lines
% hold on;
% numGroups = size(ERA_M1_real_Q_s_main_s1, 2);
% groupWidth = 0.8 / numGroups;
% 
% for i = 1:numGroups
%     x = (1:18) + (i - 1) * groupWidth;
%     line([x; x], [lowerWhisker; upperWhisker], 'Color', 'k', 'LineWidth', 1.5);
% end
% 
% hold off;

%ERA_realcase_Q_s = [ERA_M1_real_Q_s(:,1) ERA_M2_real_Q_s(:,1) ERA_M3_real_Q_s(:,1) ERA_M4_real_Q_s(:,1)];
% boxplot(ERA_M1_real_Q_s_s1);
% set(gca, 'YScale', 'log')
% %ylim([0 1]);
% yline(1,'-','Threshold');
% title("Environmntal Risk advection motion (Q) - small canal, summer conditions");
% xlabel("Chemicals");
% ylabel("PEC/PNEC");
% xticks([1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18]);
% xticklabels({'Hg','Ba', 'B','Co','Cu','Li','Mn','Mo','Sn','V','Zn','Cd','Cr','Ni','Pb','As','Styrene','FA'});
% xlim([0 19]);
% 
% 
% %ERA_realcase_Q_w = [ERA_M1_real_Q_w(:,1) ERA_M2_real_Q_w(:,1) ERA_M3_real_Q_w(:,1) ERA_M4_real_Q_w(:,1)];
% boxplot(ERA_M1_real_Q_w_s1);
% set(gca, 'YScale', 'log')
% %ylim([0 1]);
% yline(1,'-','Threshold');
% title("Environmntal Risk advection motion (Q) - small canal, winter conditions");
% xlabel("Chemicals");
% ylabel("PEC/PNEC");
% xticks([1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18]);
% xticklabels({'Hg','Ba', 'B','Co','Cu','Li','Mn','Mo','Sn','V','Zn','Cd','Cr','Ni','Pb','As','Styrene','FA'});
% xlim([0 19]);

% 
% %new concentration based on new canal conditions:


% max_ERA = [max(ERA_M1_real_Q_w_s1); max(ERA_M1_real_Q_w_s1); max(ERA_M3_real_Q_w_main_s1); max(ERA_M4_real_Q_w_main_s1)];
% 
% boxplot(max_ERA);
% set(gca, 'YScale', 'log')
% yline(1,'-','Threshold');
% title("Environmntal Risk advection motion (Q) - small canal, winter conditions");
% xlabel("Chemicals");
% ylabel("PEC/PNEC");
% xticks([1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18]);
% xticklabels({'Hg','Ba', 'B','Co','Cu','Li','Mn','Mo','Sn','V','Zn','Cd','Cr','Ni','Pb','As','Styrene','FA'});
% xlim([0 19]);
