%Real case scenario: small canal - Diffusion (Q=0)
PNEC_8010 = [0.057; 114.7; 2.9E+03; 1.06; 6.3; 1650; 3.4E+01; 1.19E+04; 37; 4.1; 14.4; 0.19; 6.5; 20; 2.4; 5.6; 28; 170]; %ug/L
PNEC_8012 = [0.057; 114.7; 2.9E+03; 1.06; 6.3; 1650; 3.4E+01; 1.19E+04; 37; 4.1; 14.4; 0.19; 6.5; 20; 2.4; 5.6; 28; 170]; %ug/L
PNEC_8020 = [0.057; 114.7; 2.9E+03; 1.06; 6.3; 1650; 3.4E+01; 1.19E+04; 37; 4.1; 14.4; 0.19; 6.5; 20; 2.4; 5.6; 28; 170];%ug/L
PNEC_8040 = [0.057; 114.7; 2.9E+03; 1.06; 6.3; 1650; 3.4E+01; 1.19E+04; 37; 4.1; 14.4; 0.19; 6.5; 20; 2.4; 5.6; 28; 170]; %ug/L without FA (to be measured)

%Input data bio-composites
H_biocomposite = 0.2; %m
H_summer_canalbank = 0.1; 
H_winter_canalbank = 0.3;
delta = 0.006;
L=1;
ro_M1=1720;
ro_M2 =1720;
ro_M3=1780;
ro_M4=1380;

%Inout data canal: geometry
%Wide ditch
H_summer = 0.8; %m
H_winter = 1; %m
b2_wd = 4; %m
b1_wd = 8; %m
Atot_summer_wd = (b1_wd+b2_wd)*H_summer./2; %m2
Atot_winter_wd = (b1_wd+b2_wd)*H_winter./2; %m2
L_control = 1; %m
Vol_wd_winter = Atot_winter_wd*L_control; %m3
Vol_wd_summer = Atot_summer_wd*L_control; %m3

%primary watercourse
b2_m = 5; %m
b1_m = 10; %m
Atot_summer_m = (b1_m+b2_m)*H_summer./2; %m2
Atot_winter_m = (b1_m+b2_m)*H_winter./2; %m2
Vol_m_summer = Atot_summer_m*L_control; %m3
Vol_m_winter = Atot_winter_m*L_control; %m3

%Input data canal: kinetics
%wide ditch
v_wd_input = 0.04; %m/min
Q_wd_summer = v_wd_input*Atot_summer_wd; %m3/min
Q_wd_winter = v_wd_input*Atot_winter_wd; %m3/min
F_wd_summer = (Q_wd_summer*24)./Vol_wd_summer;
F_wd_winter = (Q_wd_winter*24)./Vol_wd_winter;

%Primary watercourse
v_m_input = 0.075*60; %m/min
Q_main_winter = v_m_input*Atot_winter_m; %m3/min
Q_main_summer = v_m_input*Atot_summer_m; %m3/min
F_m_summer = (Q_main_summer*24)./Vol_m_summer;
F_m_winter = (Q_main_winter*24)./Vol_m_winter;


%Input leaching 
m_leach = 0.3; %kg

m_sub_sumemr_M1 = H_summer_canalbank*delta*L*ro_M1;%kg
m_sub_sumemr_M2 = H_summer_canalbank*delta*L*ro_M2;%kg
m_sub_sumemr_M3 = H_summer_canalbank*delta*L*ro_M3;%kg
m_sub_sumemr_M4 = H_summer_canalbank*delta*L*ro_M4;%kg

m_sub_winter_M1 = H_winter_canalbank*delta*L*ro_M1;%kg
m_sub_winter_M2 = H_winter_canalbank*delta*L*ro_M2;%kg
m_sub_winter_M3 = H_winter_canalbank*delta*L*ro_M3;%kg
m_sub_winter_M4 = H_winter_canalbank*delta*L*ro_M4;%kg

qL = 0.009; %L/h
Ql=qL./1000;%m3/h
Vol_leach = qL*24;

%ERA wide ditch
%C1 release in 1 day
C1_N8010_wd = 2*N8010_data(:,1)*Vol_leach./1000; %mg per day
C1_N8012_wd = 2*N8012_data(:,1)*Vol_leach./1000; %mg per day
C1_N8020_wd = 2*N8020_data(:,1)*Vol_leach./1000; %mg per day
C1_N8040_wd = 2*N8040_data(:,1)*Vol_leach./1000; %mg per day

%mass released in 1 day 
mass_N8010_s = C1_N8010_wd*m_sub_sumemr_M1./m_leach; %mg per day
mass_N8010_w = C1_N8010_wd*m_sub_winter_M1./m_leach; %mg per day

mass_N8012_s = C1_N8012_wd*m_sub_sumemr_M2./m_leach; %mg per day
mass_N8012_w = C1_N8012_wd*m_sub_winter_M2./m_leach; %mg per day

mass_N8020_s = C1_N8020_wd*m_sub_sumemr_M3/m_leach; %mg per day
mass_N8020_w = C1_N8020_wd*m_sub_winter_M3./m_leach; %mg per day

mass_N8040_s = C1_N8040_wd*m_sub_sumemr_M4./m_leach; %mg per day
mass_N8040_w = C1_N8040_wd*m_sub_winter_M4./m_leach; %mg per day

%concentration released in the canal
C2_N8010_s = mass_N8010_s./Vol_wd_summer; %mg/m3
C2_N8010_w = mass_N8010_w./Vol_wd_winter; %mg/m3

C2_N8012_s = mass_N8012_s./Vol_wd_summer; %mg/m3
C2_N8012_w = mass_N8012_w./Vol_wd_winter; %mg/m3


C2_N8020_s = mass_N8020_s./Vol_wd_summer; %mg/m3
C2_N8020_w = mass_N8020_w./Vol_wd_winter; %mg/m3

C2_N8040_s = mass_N8040_s./Vol_wd_summer; %mg/m3
C2_N8040_w = mass_N8040_w./Vol_wd_winter; %mg/m3


%Risk characterization

ERA_N8010_s = C2_N8010_s./PNEC_8010;
ERA_N8010_w = C2_N8010_w./PNEC_8010;

ERA_N8012_s = C2_N8012_s./PNEC_8012;
ERA_N8012_w = C2_N8012_w./PNEC_8012;

ERA_N8020_s = C2_N8020_s./PNEC_8020;
ERA_N8020_w = C2_N8020_w./PNEC_8020;

ERA_N8040_s = C2_N8040_s./PNEC_8040;
ERA_N8040_w = C2_N8040_w./PNEC_8040;

%plot
figure 
ERA_winter = [ERA_N8010_w(:,1) ERA_N8012_w(:,1) ERA_N8020_w(:,1) ERA_N8040_w(:,1)];
bar(ERA_winter);
set(gca, 'YScale', 'log')
%ylim([0 1]);
yline(1,'-','Threshold');
title("Environmntal Risk stagnant case (Q=0) Day 1 - wide ditch & high flow conditions");
xlabel("Chemicals");
ylabel("PEC/PNEC");
xticks([1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18]);
xticklabels({'Hg','Ba', 'B','Co','Cu','Li','Mn','Mo','Sn','V','Zn','Cd','Cr','Ni','Pb','As','Styrene','FA'});
xlim([0 19]);
%legend ('N8010','N8012', 'N8020','N8040')
legend ('M1','M2', 'M3','M4')

figure 
ERA_summer = [ERA_N8010_s(:,1) ERA_N8012_s(:,1) ERA_N8020_s(:,1) ERA_N8040_s(:,1)];
bar(ERA_summer);
set(gca, 'YScale', 'log')
%ylim([0 1]);
yline(1,'-','Threshold');
title("Environmntal Risk stagnant case (Q=0) - wide ditch & low flow conditions");
xlabel("Chemicals");
ylabel("PEC/PNEC");
xticks([1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18]);
xticklabels({'Hg','Ba', 'B','Co','Cu','Li','Mn','Mo','Sn','V','Zn','Cd','Cr','Ni','Pb','As','Styrene','FA'});
xlim([0 19]);
%legend ('N8010','N8012', 'N8020','N8040')
legend ('M1','M2', 'M3','M4')



